#!/usr/bin/env bash

# Определяем путь к директории, где находится этот скрипт
SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
NODE_ID=$(cat /etc/hostname)

mkdir -p /etc/lsyncd/
mkdir -p /var/log/lsyncd/

ln -sf "$SCRIPT_DIR/lsyncd/lsyncd.exclude" /etc/lsyncd/lsyncd.exclude
echo -e "$(eval "echo -e \"`cat \"$SCRIPT_DIR/lsyncd/lsyncd.conf.lua.template\"`\"")" \
| tee "/etc/lsyncd/lsyncd.conf.lua" || echo "Configuring lsyncd error"

rsync "$SCRIPT_DIR/lsyncd/lsyncd" "/etc/logrotate.d/" || echo "Configuring lsyncd error"

rm -f /run/systemd/generator.late/lsyncd.service
rm -f /etc/init.d/lsyncd
cp -f "$SCRIPT_DIR/lsyncd/lsyncd.service" /lib/systemd/system/
systemctl daemon-reload && systemctl enable lsyncd || echo "Unable to enable lsyncd"

# restart не работает
systemctl stop lsyncd && systemctl start lsyncd  || echo "Unable to restart lsyncd"
