#!/bin/bash

while [ -n "$1" ]
    do
        case "$1" in
            --addr) MODBUS_ADDR=$2
                    shift ;;
            --port) PORT=$2
                    shift ;;
            --name) NAME=$2
                    shift ;;
            *) exit 2 ;;
        esac
        shift
    done

RESULT_FILE_NAME=ir_dump_${NAME}_${MODBUS_ADDR}_$(date)


for IR_ID in {0..31}
do
    IR_REG="52$(printf "%02d" $IR_ID)"

    # Переносим в RAM данные из ROM $IR_REG
    modbus_client --debug -mrtu -pnone -s2 "${PORT}" -a$MODBUS_ADDR -t0x05 -o5000 -r$IR_REG 1 || exit 1

    echo IR_${IR_ID} >> "/${RESULT_FILE_NAME}"
    for i in {2000..2400..100}
    do
        RES="$(modbus_client --debug -mrtu -pnone -s2 "${PORT}" -a$MODBUS_ADDR -t0x03 -r$i -c 100 | grep Data: | cut -c7- )"
        echo -n ${RES} >> "/${RESULT_FILE_NAME}"
        echo -n " " >> "/${RESULT_FILE_NAME}"
    done

    # Возвращаем в ROM $IR_REG данные из RAM
    modbus_client --debug -mrtu -pnone -s2 "${PORT}" -a$MODBUS_ADDR -t0x05 -o5000 -r$IR_REG 0 || exit 1
    sleep 1

    echo >> "/${RESULT_FILE_NAME}"
done
