#!/bin/bash


process_new_line() {
    # echo $PID
    # Check wb-rules is active
    WB_RULES_PID=$(cat /var/run/wb-rules.pid)
    if [ -z "$WB_RULES_PID" ] ; then
        exit 0
    fi

    WATCHDOG_PID=/var/run/wb-rules-watchdog.pid
    echo $$ > $WATCHDOG_PID

    LINES=0
    read
    while true
    do
        if [[ "$REPLY" == *"wb-rules[$WB_RULES_PID]"* ]]; then
            if [[ "$REPLY" == *"failed to SetValue for unexisting control"* ]]; then
                systemctl restart wb-mqtt-serial
                sleep 20
                systemctl restart wb-rules
                sleep 5
        exit 0
            fi
        fi

        let "LINES=LINES + 1"
        if [ $LINES -gt 10 ] ; then
            CURRENT_PID=$(cat $W ATCHDOG_PID)
            if [[ $$ != "$CURRENT_PID" ]]; then
                exit 0
            fi
            LINES=0
        fi
        read
    done
}

tail -f /var/log/messages -n 1000 | process_new_line
